<?php
include("Bi_permissao_paginaController.php");
if (isset($_GET["mod"]) && $_GET["mod"] == "filtro_user")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_permissao_pagina = $bi_permissao_paginaDAO->buscarBi_permissao_pagina($_GET["codigo"]);
	}else{
		$bi_permissao_pagina = new Bi_permissao_pagina();
		$bi_permissao_pagina->setGrupo(new Bi_grupo_permissao());
		$bi_permissao_pagina->setPagina(new Bi_pagina());
	}
	$listaGrupo = $bi_grupo_permissaoDAO->listarTodosRegistros(); 
	$listaPagina = $bi_paginaDAO->listarTodosRegistros(); 
	if (isset($_GET["grupo"]) and $_GET["grupo"] != "")
	{
		$bi_permissao_pagina->setGrupo($bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["grupo"]));
		$campo_buscar = "&grupo=".$_GET["grupo"]; 
	}
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$bi_permissao_pagina->setPagina($bi_paginaDAO->buscarBi_pagina($_GET["pagina"]));
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_pagina/Filtro_lista_registrosUser.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro_user")
{
	if(isset($_POST['grupo']) and $_POST['grupo'] != "")
	{
		$listaGrupo = $bi_grupo_permissaoDAO->buscarFiltro(" where codigo = ".$_POST['grupo']); 
	}
	else
	{
		$listaGrupo = $bi_grupo_permissaoDAO->listarTodosRegistros(); 
	}
	if(isset($_POST['pagina']) and $_POST['pagina'] != "")
	{
		$listaPagina = $bi_paginaDAO->buscarFiltro(" where codigo = ".$_POST['pagina']); 
	}
	else
	{
		$listaPagina = $bi_paginaDAO->listarTodosRegistros(); 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_pagina/Listar_todos_registrosUser.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "inserir_permissao")
{
	if($_POST["value"] == "1")
	{
		$listaBi_permissao_pagina = $bi_permissao_paginaDAO->buscarFiltro(" where pagina = ".$_POST['pagina']." and grupo = ".$_POST['grupo']);
		$bi_permissao_pagina = new Bi_permissao_pagina();
		$bi_permissao_pagina->setPagina($_POST['pagina']);
		$bi_permissao_pagina->setGrupo($_POST['grupo']);
		if(count($listaBi_permissao_pagina) == 0)
		{
			try
			{
				$retorno["mensagem"] = "Inserido com sucesso!";
				$retorno["status"] = true;
				$bi_permissao_paginaDAO->salvar($bi_permissao_pagina);
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}
		
	}
	else
	{
		$listaBi_permissao_pagina = $bi_permissao_paginaDAO->buscarFiltro(" where pagina = ".$_POST['pagina']." and grupo = ".$_POST['grupo']);
		foreach($listaBi_permissao_pagina as $permissao_paginaLida)
		{
			try
			{
				$bi_permissao_pagina = $bi_permissao_paginaDAO->buscarBi_permissao_pagina($permissao_paginaLida->getCodigo());
				$bi_permissao_paginaDAO->excluir($bi_permissao_pagina);
				$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
				$retorno["status"] = true;
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}
	}
	
	echo json_encode($retorno);
}